#include<bits/stdc++.h>
using namespace std;

int n;
pair <int,double> f[200005];
double sum,maxi,t;

bool rool(pair<int,double> p1,pair<int,double> p2) {
	return ((p1.second)>=(p2.second));
}

int main() {
	scanf("%d",&n);
	
	for (int i=0;i<n;i++)
		scanf("%d%lf",&f[i].first,&f[i].second);
	
	sort(f,f+n,rool);
	
	for (int i=0;i<n;i++) {
		sum=sum+(double)f[i].first;
		t=(sum/100.0)*f[i].second;
		if (t>maxi) maxi=t;
			}
	printf("%lf",maxi);
}